Next Commerce
Metadata

Metadata Retrieve

Retrieve a metadata definition.

GET
/metadata/{id}/

Authorization

oauth2 metadata:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: metadata:read

Path Parameters

id*integer

A unique integer value identifying this definition.

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/metadata/0/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer "
{
  "created_at": "2019-08-24T14:15:22Z",
  "enable_export": true,
  "enable_filter": true,
  "id": 0,
  "key": "string",
  "name": "string",
  "object": "attribution",
  "type": "text",
  "updated_at": "2019-08-24T14:15:22Z",
  "validations": [
    {
      "type": "maximum_length",
      "value": "string"
    }
  ]
}